<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  E-Commerce Solutions

  Copyright (c) 2005 www.flash-template-design.com

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
 <table border="0" cellpadding="0" cellspacing="0" width="715">
 	<tr>
	  <td colspan="2" width="715" height="105" >
			<table border="0" cellpadding="0" cellspacing="0" width="715" height="105" background="images/top_bg.jpg">
				<tr >
					<td width="430" rowspan="2" height="105" align="left" ><img src="images/logo.jpg" width="293" height="105" alt="E-online shop"/></td>
					<td width="267" colspan="2" height="60" align="right"><div id="topmenu"><div class="column">
  <ul>
  	<li><a href="<?php echo tep_href_link(FILENAME_PARTNERS) ?>" class="atopmenu">Partners</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Special Proposition</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CONTACT_US) ?>" class="atopmenu">Contact us</a></li>
  </ul>
  </div>
  <div class="column">
  <ul>
  	<li><a href="<?php echo tep_href_link(FILENAME_SHOPPING_CART) ?>" class="atopmenu">SHOPPING CART</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="atopmenu">Create an account</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="atopmenu">Customer login</a></li>
  </ul>
  </div>
	</div></td>
					 <td width="13" rowspan="2" height="105" align="left" ><img src="images/top_right.jpg" width="13" height="105" alt="E-online shop"/></td> 
				</tr>
				<tr>
					<td width="114" height="38" align="left" valign="top" style="padding-top:4px;"><img src="images/language.gif" width="72" height="5" alt="" style="margin-left:18px; "/><div style="padding-top:6px;"><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
    include(DIR_WS_BOXES . 'languages.php');
	} ?></div>		</td>
					<td width="152" height="45"><?php require(DIR_WS_BOXES . 'search.php'); ?></td>
				</tr>
			</table>
 
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
</td>
</tr>
<tr>
	<td colspan="2" width="100%" height="44" align="left"><?php require(DIR_WS_BOXES . 'menu.php'); ?></td>
</tr>
<tr>
	<td align="center" colspan="2">
		<table border="0" width="709" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
		
